ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Perreault" <ch...@perreault.com>
Subject ant ftp class and depends
Date Tue, 19 Jun 2001 00:09:49 GMT
hi there

im trying to use the ftp task for deployment. it works great, except when i
want to use depends="yes" or newer="yes", then I get the following
exception:

java.lang.ArrayIndexOutOfBoundsException
        at
org.apache.tools.ant.taskdefs.optional.net.FTP.isUpToDate(FTP.java:55
2)
        at
org.apache.tools.ant.taskdefs.optional.net.FTP.sendFile(FTP.java:579)

        at
org.apache.tools.ant.taskdefs.optional.net.FTP.transferFiles(FTP.java
:414)
        at
org.apache.tools.ant.taskdefs.optional.net.FTP.transferFiles(FTP.java
:467)
        at
org.apache.tools.ant.taskdefs.optional.net.FTP.execute(FTP.java:789)
        at org.apache.tools.ant.Target.execute(Target.java:153)
        at org.apache.tools.ant.Project.runTarget(Project.java:898)
        at org.apache.tools.ant.Project.executeTarget(Project.java:536)
        at org.apache.tools.ant.Project.executeTargets(Project.java:510)
        at org.apache.tools.ant.Main.runBuild(Main.java:421)
        at org.apache.tools.ant.Main.main(Main.java:149)

Has anyone seen this?

Thanks

Chris


Mime
View raw message